Table of Contents

Class DeviceBoundSessionFailedRequest

Namespace
OpenQA.Selenium.DevTools.V148.Network
Assembly
Selenium.WebDriver.dll

Details about a failed device bound session network request.

public sealed class DeviceBoundSessionFailedRequest
Inheritance
DeviceBoundSessionFailedRequest
Inherited Members

Properties

NetError

The net error of the response if it was not OK.

[JsonPropertyName("netError")]
[JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingDefault)]
public string? NetError { get; set; }

Property Value

string

RequestUrl

The failed request URL.

[JsonPropertyName("requestUrl")]
public string RequestUrl { get; set; }

Property Value

string

ResponseError

The response code if the net error was OK and the response code was not 200.

[JsonPropertyName("responseError")]
[JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingDefault)]
public long? ResponseError { get; set; }

Property Value

long?

ResponseErrorBody

The body of the response if the net error was OK, the response code was not 200, and the response body was not empty.

[JsonPropertyName("responseErrorBody")]
[JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingDefault)]
public string? ResponseErrorBody { get; set; }

Property Value

string